#include "run-time.h"

void _Init_c_ffi_ () __attribute__((constructor));
void _Init_c_ffi_ () {
  extern void _Init_Run_Time();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_c_ffi__X_unix_c_ffi_library_for_system();
  extern void _Init_c_ffi__X_pointer_ref_for_system();
  extern void _Init_c_ffi__X_pointer_value_for_system();
  extern void _Init_c_ffi__X_make_destroy_for_system();
  extern void _Init_c_ffi__X_allocator_for_system();
  extern void _Init_c_ffi__X_c_types_for_system();
  extern void _Init_c_ffi__X_c_utility_classes_for_system();
  extern void _Init_c_ffi__X_memory_functions_for_system();
  extern void _Init_c_ffi__X_c_type_cast_for_system();
  extern void _Init_c_ffi__X_unix_core_types_for_system();
  extern void _Init_c_ffi__X_unix_c_ffi_library_for_user();
  extern void _Init_c_ffi__X_pointer_ref_for_user();
  extern void _Init_c_ffi__X_pointer_value_for_user();
  extern void _Init_c_ffi__X_make_destroy_for_user();
  extern void _Init_c_ffi__X_allocator_for_user();
  extern void _Init_c_ffi__X_c_types_for_user();
  extern void _Init_c_ffi__X_c_utility_classes_for_user();
  extern void _Init_c_ffi__X_memory_functions_for_user();
  extern void _Init_c_ffi__X_c_type_cast_for_user();
  extern void _Init_c_ffi__X_unix_core_types_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_c_ffi__X_unix_c_ffi_library_for_system();
    _Init_c_ffi__X_pointer_ref_for_system();
    _Init_c_ffi__X_pointer_value_for_system();
    _Init_c_ffi__X_make_destroy_for_system();
    _Init_c_ffi__X_allocator_for_system();
    _Init_c_ffi__X_c_types_for_system();
    _Init_c_ffi__X_c_utility_classes_for_system();
    _Init_c_ffi__X_memory_functions_for_system();
    _Init_c_ffi__X_c_type_cast_for_system();
    _Init_c_ffi__X_unix_core_types_for_system();
    _Init_c_ffi__X_unix_c_ffi_library_for_user();
    _Init_c_ffi__X_pointer_ref_for_user();
    _Init_c_ffi__X_pointer_value_for_user();
    _Init_c_ffi__X_make_destroy_for_user();
    _Init_c_ffi__X_allocator_for_user();
    _Init_c_ffi__X_c_types_for_user();
    _Init_c_ffi__X_c_utility_classes_for_user();
    _Init_c_ffi__X_memory_functions_for_user();
    _Init_c_ffi__X_c_type_cast_for_user();
    _Init_c_ffi__X_unix_core_types_for_user();
  }
}
